/**
 * Theme Name:     GeneratePress Child
 * Author:         Tom Usborne
 * Template:       generatepress
 * Text Domain:	   generatepress-child
 * Description:    GeneratePress is a lightweight WordPress theme built with a focus on speed and usability. Performance is important to us, which is why a fresh GeneratePress install adds less than 10kb (gzipped) to your page size. We take full advantage of the block editor (Gutenberg), which gives you more control over creating your content. If you use page builders, GeneratePress is the right theme for you. It is completely compatible with all major page builders, including Beaver Builder and Elementor. Thanks to our emphasis on WordPress coding standards, we can boast full compatibility with all well-coded plugins, including WooCommerce. GeneratePress is fully responsive, uses valid HTML/CSS, and is translated into over 25 languages by our amazing community of users. A few of our many features include 60+ color controls, powerful dynamic typography, 5 navigation locations, 5 sidebar layouts, dropdown menus (click or hover), and 9 widget areas. Learn more and check out our powerful premium version at https://generatepress.com
 */


/*Responsive*/

@media screen and (max-width: 768px) {

.text-content-1 {
	font-size: 30px !important;
}

.text-content-2 {
	font-size: 20px !important;
}
	
}

@media screen and (max-width: 360px) {

.text-content-1 {
	font-size: 20px !important;
}
	
.text-content-2 {
	font-size: 18px !important;
}

/*Buttons*/
}
.button-all {
	
	*width:50%;
}

.button-all a {
	font-family: Comfortaa;
	font-size: 22px;
	font-weight: 700;
	font-style: normal;
	text-shadow: 0px 2px 2px rgba(0, 0, 0, 0.35);
	box-shadow: 0px 3px 2px rgba(0, 0, 0, 0.5) !important;
	border-radius: 100px;
}

.button-all a:hover {
	transform: scale(0.90);
}

.elementor-button-content-wrapper span {
    white-space: nowrap;
}
/*Text style*/
.text-content-1 {
	font-family: Comfortaa;
	font-size: 40px;
	font-weight: 700;
	font-style: normal;
}

.text-content-2 {
	font-family: Comfortaa;
	font-size: 22px;
	font-weight: 500;
	font-style: normal;
}

.text-content-3 {
	font-family: Comfortaa;
	font-size: 16px;
	font-weight: 400;
	font-style: normal;
	line-height: 150%;
}

.text-card-title {
	font-family: Comfortaa;
	font-size: 30px;
	font-weight: 700;
	font-style: normal;
	line-height: 135%;
}

.banner-text {
	font-family: Comfortaa;
	font-size: 40px;
	color: #ededed;
	font-weight: 700;
	font-style: normal;
	line-height: 75px;
	text-shadow: 0px 5px 10px rgba(0, 0, 0, 0.5);

}

/*Default menu*/
#primary-menu{
    display:none;
}

.main-navigation {
	display:none;
}

.current-menu-item{
	color: green;
	background-color: yellow;
}

a:hover {
	text-decoration: none;
}

/*Page title*/
.entry-header {
	display:none;
}



/* CSS del BANNER LATERAL DE CONTACTOS  --> */ 

.sticky-header p {
    margin: 0px;
    padding: 0;
}

.sticky-header {
    display: flex !important;
    flex-direction: column;
    position: fixed;
    height: 325px;
    width: 55px;
    top: 430px;
    left: 0px;
    background-color: #00000040;
    padding-top: 10px;    
    z-index: 999999;
    border-radius: 3px;
}

.sticky-header section {
    width: 100px;
    height: 100px;
    margin-left: 12px !important;
    transform: scale(1.1);
    cursor: pointer;
}

.sticky-header section:hover {
    transform: scale(1.2);
}

.borde_ext {    
    display: flex;
    background-color: #1d71b8;
    width: 75px;
    height: 85px;
    margin: 8px;    
    border-radius: 8px;
    justify-content: center;
    align-items: center;
}

.sticky-header section a{
	text-decoration:none;
}

.borde_int{
    background-color: #ffffff;
    display: flex;
    width: 60px;
    height: 60px;
    border-radius: 8px;
    position: absolute;
    top: 16px;
    justify-content: center;
    align-items: center;
}

.borde_int img {
	position: relative;
    height: 50px;
    width: 50px;
    display: block;
}
.borde_ext p {
    position: relative;
    font-size: 11px;
    top: 33px;
    color: #ffffff;
}

.move {
  transform: translateX(100px);
  opacity: 100%;
}


@media screen and (max-width: 769px) {
    .banner_lateral{ 
        display: flex;
        justify-content: center;
        width: 100%;        
    }

    .sticky-header {
        flex-direction: row;
        height: 90px;
        width: 345px;
        border-radius: 3px;
        top: revert !important;
        bottom: -35px !important;
        padding-left: 28px;
        left: calc(50% - 170px);
    }    

    .sticky-header section {
        position: relative;
        top: -60px;
        margin-left: 0px !important;
    }
}

/* <-- CSS del BANNER LATERAL DE CONTACTOS  */





